package com.itant.shiwushu.ui.forget;


import com.itant.shiwushu.base.IBasePresenter;
import com.itant.shiwushu.base.IBaseView;

public interface ForgetContract {
    interface View extends IBaseView {
        void onResetSuccess(String message);
        void onResetFailed(String message);
        void onGetCodeSuccess(String message);
        void onGetCodeFailed(String message);
    }

    interface Presenter extends IBasePresenter {
        void getCode(String email);
        void resetPassword(String email, String code, String password);
    }
}